<?php
// ----------------------------------------------------------------------
// File: $Id: settings.php,v 1.15.2.3 2004/01/17 22:33:25 hdonner Exp $
// ----------------------------------------------------------------------
// PHP-Nuke-VKP
// Copyright 2001-2004 by PHP-Nuke-VKP-Team
// http://developer.berlios.de/projects/phpnukevkp/
// ----------------------------------------------------------------------
// LICENSE
//
// Dieses Programm ist freie Software; Sie knnen sie beliebig verteilen
// und/oder nderungen vornehmen, solange Sie dieses unter den
// Lizenzbedingungen der Version 2 oder hher der GNU General Public
// License (GPL), verffentlicht von der Free Software Foundation tun.
//
// Dieses Programm wurde in der Hoffnung erstellt, dass es fr Sie
// ntzlich sein knnte. Es wird jedoch ohne jeden Anspruch auf
// Gewhrleistung verffentlicht. Sie knnen auch nicht davon ausgehen,
// dass das Programm Dinge verrichtet, wie es erwartet wird.
//
// Lesen Sie die Lizenzbedinguneg unter der URL
// http://www.gnu.org/copyleft/gpl.html fr weitere Details.
// ----------------------------------------------------------------------

/**
 * settings.php
 *
 * Diese Datei enthlt die Funktionen fr die globalen einstellungen.
 *
 * @author Hinrich Donner
 * @author F. Bruzi
 * @version 0.6
 * @since 5.5.1
 * @package PHP-Nuke-VKP
 * @subpackage System
 * @category Konfiguration
 * @link http://developer.berlios.de/projects/phpnukevkp/
 */

/**
 * Zugang prfen und Dateien laden
 *
 * @ignore
 */
if ((substr($_SERVER['SCRIPT_NAME'], strlen($_SERVER['SCRIPT_NAME']) - 9) != 'admin.php')
        || !vkpAdminHasFlag('super'))
    vkpDie(_DIE_ACCESS_DENIED);
require_once VKP_INCLUDE_DIR . '/vkphtml.php';

/**
 * Configure
 *
 * Stellt die Eingabemaske fr die Konfiguration dar.
 *
 * @since 5.5.1
 * @version 0.4
 * @author Hinrich Donner
 */
function Configure()
{
    global $pagetitle;

    $pagetitle  .= ': ' . _SITECONFIG;

    $config =& vkpConfig::GetInstance();

    // Ausgabe starten
    //
    include 'header.php';

    // Seitentitel
    //
    title(_SITECONFIG);

    // Admin-Men
    //
    GraphicAdmin();

    // Gruppe System
    //
    OpenTable();
    OpenTable2();
    echo "<b>" . _CONFIG_SYSTEM_OPTIONS . "</b>";
    CloseTable2();
    CloseTable();
    echo "<br>";

    // Information zum Server
    //
    $_dbtype = preg_replace(array("/^mysql$/i",
                                  "/^(mysqlt|maxsql)$/i",
                                  "/^(access|ado_access)$/i",
                                  "/^(msql|mssql|ado_mssql)$/i",
                                  "/^mssqlpo$/i",
                                  "/^odbc_mssql$/i",
                                  "/^db2$/i",
                                  "/^vfp$/i",
                                  "/^fbsql$/i",
                                  "/^ibase$/i",
                                  "/^firebird$/i",
                                  "/^borland_ibase$/i",
                                  "/^informix[0-9]*$/i",            // informix, informix72
                                  "/^oci8[0-9]*$/i",                // oci8, oci805
                                  "/^oci8po$/i",
                                  "/^odbc_oracle$/i",
                                  "/^oracle$/i",
                                  "/^postgres[7]?$/i",              // postgres, postgres7
                                  "/^postgres64$/i",
                                  "/^sapdb$/i",
                                  "/^sqlanywhere$/i",
                                  "/^sybase$/i",
                                  "/^sqlite$/i",
                                  "/^odbc$/i"),
                            array('mySQL',
                                  'mySQL (Transaction)',
                                  'Microsoft Access',
                                  'Microsoft SQL Server',
                                  'Microsoft SQL Server (portable)',
                                  'Microsoft SQL Server (ODBC)',
                                  'IBM DB/2',
                                  'Microsoft Visual FoxPro',
                                  'FrontBase',
                                  'InterBase Version 6',
                                  'FireBird',
                                  'Borland InterBase Version 6.5',
                                  'Informix',
                                  'Oracle Versions 8 &amp; 9',
                                  'Oracle Versions 8 &amp; 9 (portable)',
                                  'Oracle Versions 8 &amp; 9 (ODBC)',
                                  'Oracle Version 7',
                                  'PostgreSQL Version 7',
                                  'PostgreSQL Version 6.4',
                                  'SAP DB',
                                  'Sybase SQL Anywhere',
                                  'Sybase',
                                  'SQLite',
                                  'ODBC'),
                            $config->dbtype);

    $sql_info = vkpSqlServerInfo();

    Opentable();
    echo "<center><font class=\"option\"><b>" . _CONFIG_DB_INFO . "</b></font></center>"
        ."<table border=\"0\">"
        ."<tr><td>" . _CONFIG_DB_TYPE . ":</td><td><b>" . $_dbtype . ((empty($sql_info['version'])) ? '' : '' . _CONFIG_DB_VERSION . ' ' . $sql_info['version']) . "</b></td></tr>"
        ."<tr><td>" . _CONFIG_DB_HOST . ":</td><td><b>" . $config->dbhost . "</b></td></tr>"
        ."<tr><td>" . _CONFIG_DB_NAME . ":</td><td><b>" . $config->dbname . "</b></td></tr>"
        ."<tr><td>" . _CONFIG_DB_USER . ":</td><td><b>" . $config->dbuname . "</b></td></tr>"
        ."<tr valign=\"top\"><td>" . _CONFIG_PHP_VERSION . ":</td>"
        . "<td><b>" . phpversion() . '</b>/' . php_sapi_name() . '/Zend ' . zend_version()
        . '<br>' . php_uname() . "</td></tr>"
        . "</table>";
    CloseTable();
    echo "<br>";

    // Allgemeine Einstellungen
    //
    OpenTable();
    echo "<div align=\"center\"><span class=\"option\"><b>"._GENSITEINFO."</b></span></div>\n"
        ."<form name=\"form1\" action=\"admin.php\" method=\"post\">"
        ."<table border=\"0\">\n"
        . "<tr><td>"
        . _SITENAME.":</td>\n"
        . "<td><input type=\"text\" name=\"xsitename\" value=\"" . $config->sitename . "\" size=\"40\"></td></tr>\n"
        . "<tr><td>" . _SITEURL.":</td>\n"
        . "<td><input type=\"text\" name=\"xnukeurl\" value=\"" . $config->nukeurl . "\" size=\"40\"></td></tr>\n"
        . "<tr><td>" . _SITELOGO . ":</td>\n"
        . "<td><input type=\"text\" name=\"xsite_logo\" value=\"" . $config->site_logo . "\" size=\"20\" maxlength=\"25\"></td></tr>\n"
        . "<tr><td>" . _SITESLOGAN . ":</td>\n"
        . "<td><input type=\"text\" name=\"xslogan\" value=\"" . $config->slogan . "\" size=\"40\"></td></tr>\n"
        . "<tr><td>" . _STARTDATE . ":</td>\n"
        . "<td><input type=\"text\" name=\"xstartdate\" value=\"" . $config->startdate . "\" size=\"20\" maxlength=\"30\"></td></tr>\n"
        . "<tr><td>" . _ADMINEMAIL . ":</td>\n"
        . "<td><input type=\"text\" name=\"xadminmail\" value=\"" . $config->adminmail . "\" size=30 maxlength=100></td></tr>\n"
        . "<tr><td>" . _ITEMSTOP . ":</td>\n"
        . "<td>"
        . vkpHtmlSelectBox('xtop',
                           array(5, 10, 15, 20, 25, 30, 40, 50, 75, 100),
                           $config->top)
        . "</td></tr>\n"
        . "<tr><td>" . _STORIESHOME . ":</td>\n"
        . "<td>"
        . vkpHtmlSelectBox('xstoryhome',
                           array(1, 2, 3, 4, 5, 10, 15, 20, 25, 30, 35, 40, 45, 50),
                           $config->storyhome)
        . "</td></tr>\n"
        . "<tr><td>" . _OLDSTORIES . ":</td>\n"
        . "<td>"
        . vkpHtmlSelectBox('xoldnum',
                           array(5, 10, 15, 20, 30, 35, 40, 45, 50, 55, 60, 65, 70, 75, 100, 125, 150, 175, 200),
                           $config->oldnum)
        . "</td></tr>\n"
        . "</table>";
    Closetable();
    echo "<br>";

    // Benutzersicherheit
    //
    Opentable();
    echo "<div align=\"center\"><a href=\"manual/admin.user.html\" target=\"_blank\" "
        . "onClick=\"window.open('manual/admin.user.html','','width=550,height=400,dependent=yes'); return false;\">"
        . vkpImageGetHtmlTag('images/questionmark.gif', '', 'right') . "</a>\n"
        . "<span class=\"option\"><b>" . _CONFIG_USER . "</b></span></div>\n"
        . "<table border=\"0\">"
        . "<tr><td>" . _ANONYMOUSNAME . ":</td>\n"
        . "<td><input type=\"text\" name=\"xanonymous\" value=\"" . $config->anonymous . "\"></td></tr>\n"
        . "<tr><td>" . _ALLOWANONPOST . " </td>\n"
        . "<td>". vkpHtmlYesNo('xanonpost',
                                $config->anonpost,
                                1) . "</td></tr>\n"
        . "<tr><td>" . _PASSWDLEN . ":</td>\n"
        . "<td>" . vkpHtmlSelectBox('xminpass',
                                    array(3, 4, 5, 6, 7, 8, 10),
                                    $config->minpass) . "</td></tr>\n"
        . "<tr><td>" . _CONFIG_USER_COOKIE_REQUIRED . ":</td>\n"
        . "<td>" . vkpHtmlYesNo('xuser_cookie_required',
                                $config->user_cookie_required,
                                1) . "</td></tr>\n"
        . "<tr><td>" . _CONFIG_USER_COOKIE_DEFAULT . ":</td>\n"
        . "<td>" . vkpHtmlYesNo('xuser_cookie_default',
                                $config->user_cookie_default,
                                1) . "</td></tr>\n"
        . "<tr><td>" . _CONFIG_USER_COOKIE_LIFETIME . ":</td>\n"
        . "<td>" . vkpHtmlSelectBox('xuser_cookie_lifetime',
                                    array('1 ' . _HOUR      => 3600,
                                          '6 ' . _HOURS     => 21600,
                                          '12 ' . _HOURS    => 43200,
                                          '1 ' . _DAY       => 86400,
                                          '1 ' . _WEEK      => 604800,
                                          '1 ' . _MONTH     => 2419200,
                                          '6 ' . _MONTHS    => 14515200,
                                          '1 ' . _YEAR      => 31536000,
                                          _ENDLESS          => 315360000),
                                    $config->user_cookie_lifetime,
                                    true) . "</td></tr>\n"
        . "<tr><td>" . _CONFIG_ADMIN_COOKIE_REQUIRED . ":</td>\n"
        . "<td>" . vkpHtmlYesNo('xadmin_cookie_required',
                                $config->admin_cookie_required,
                                1) . "</td></tr>\n"
        . "<tr><td>" . _CONFIG_ADMIN_COOKIE_DEFAULT . ":</td>\n"
        . "<td>" . vkpHtmlYesNo('xadmin_cookie_default',
                                $config->admin_cookie_default,
                                1) . "</td></tr>\n"
        . "<tr><td>" . _CONFIG_ADMIN_COOKIE_LIFETIME . ":</td>\n"
        . "<td>" . vkpHtmlSelectBox('xadmin_cookie_lifetime',
                                    array('1 ' . _HOUR      => 3600,
                                          '6 ' . _HOURS     => 21600,
                                          '12 ' . _HOURS    => 43200,
                                          '1 ' . _DAY       => 86400,
                                          '1 ' . _WEEK      => 604800,
                                          '1 ' . _MONTH     => 2419200,
                                          '6 ' . _MONTHS    => 14515200,
                                          '1 ' . _YEAR      => 31536000,
                                          _ENDLESS          => 315360000),
                                    $config->admin_cookie_lifetime,
                                    true) . "</td></tr>\n"
    ."</table>";
    CloseTable();
    echo "<br>";

    // JD- Cache
    //
    Opentable();
    echo "<div align=\"center\"><span class=\"option\"><b>" . _CONFIG_JDCACHE . "</b></span></div>"
    . "<table border=\"0\">\n"
    . "<tr><td>" . _CONFIG_JDCACHE_ENABLE . ":</td>\n"
    . "<td>" . vkpHtmlYesNo('xjdcache',
                            $config->jdcache,
                            0) . "</td></tr>\n"
    . "<tr><td>" . _CONFIG_JDCACHE_LIFETIME . ":</td>\n"
    . "<td><input type=\"text\" name=\"xjdcachesec\" value=\"" . $config->jdcachesec . "\" size=\"10\" maxlength=\"15\">"
    ."</td></tr></table>";
    CloseTable();
    echo "<br>";

    // Verschiedene Einstellungen
    //
    OpenTable();
    echo "<div align=\"center\"><span class=\"option\"><b>" . _MISCOPT . "</b></span></div>\n"
        . "<table border=\"0\">\n"
        . "<tr><td>" . _ACTIVATEHTTPREF . "</td>\n"
        . "<td>" . vkpHtmlYesNo('xhttpref',
                                $config->httpref,
                                1) . "</td></tr>\n"
        . "<tr><td>" . _MAXREF . "</td>\n"
        . "<td>" . vkpHtmlSelectBox('xhttprefmax',
                                    array(100, 250, 500, 750, 1000, 2500, 5000, 7500, 10000, 12500, 15000, 17500, 20000),
                                    $config->httprefmax) . "</td></tr>\n"
        . "</table>\n";
    CloseTable();
    echo "<br>\n";

    // Gruppe Inhalt
    //
    OpenTable();
    OpenTable2();
    echo "<b>" . _CONFIG_CONTENT_OPTIONS . "</b>";
    CloseTable2();
    CloseTable();
    echo "<br>";

    // Mehrsprachenkonfiguration
    //
    OpenTable();
    echo "<div align=\"center\"><span class=\"option\"><b>" . _MULTILINGUALOPT . "</b></span></div>\n"
        . "<table border=\"0\">\n"
        . "<tr><td>" . _SELLANGUAGE . ":</td>\n"
        . "<td>" . vkpHtmlSelectBox('xlanguage',
                                    vkpLanguageGetAll(),
                                    $config->language) . "</td></tr>\n"
        . "<tr><td>" . _LOCALEFORMAT . ":</td>\n"
        . "<td><input type=\"text\" name=\"xlocale\" value=\"" . $config->locale . "\" size=\"20\" maxlength=\"40\"></td></tr>\n"
        . "<tr><td>" . _ACTMULTILINGUAL . "</td>\n"
        . "<td>" . vkpHtmlYesNo('xmultilingual',
                                $config->multilingual,
                                1) . "</td></tr>\n"
        . "<tr><td>" . _ACTUSEFLAGS . "</td>\n"
        . "<td>" . vkpHtmlYesNo('xuseflags',
                                $config->useflags,
                                1) . "</td></tr>\n"
        . "</table>\n"
        . "<br>";
    CloseTable();
    echo "<br>";

    // Benachrichtigung bei neuem Artikel
    //
    OpenTable();
    echo "<div align=\"center\"><span class=\"option\"><b>" . _MAIL2ADMIN . "</b></span></div>\n"
        . "<table border=\"0\">\n"
        . "<tr><td>" . _NOTIFYSUBMISSION."</td>\n"
        . "<td>" . vkpHtmlYesNo('xnotify',
                                $config->notify,
                                1) . "</td></tr>\n"
        . "<tr><td>" . _EMAIL2SENDMSG . ":</td>\n"
        . "<td><input type=\"text\" name=\"xnotify_email\" value=\"" . $config->notify_email . "\" size=\"30\" maxlength=\"100\"></td></tr>\n"
        . "<tr><td>" . _EMAILSUBJECT . ":</td>\n"
        . "<td><input type=\"text\" name=\"xnotify_subject\" value=\"" . $config->notify_subject . "\" size=\"40\" maxlength=\"100\"></td></tr>\n"
        . "<tr><td>" . _EMAILMSG . ":</td>\n"
        . "<td><textarea name=\"xnotify_message\" cols=\"40\" rows=\"8\">" . $config->notify_message . "</textarea></td></tr>\n"
        . "<tr><td>" ._EMAILFROM . ":</td>\n"
        . "<td><input type=\"text\" name=\"xnotify_from\" value=\"" . $config->notify_from . "\" size=\"15\" maxlength=\"25\"></td></tr>\n"
        . "</table>";
    CloseTable();
    echo "<br>";

    // Topic Modul
    //
    OpenTable();
    echo "<div align=\"center\"><span class=\"option\"><b>" . _TOPICS_ADMIN . "</b></span></div>\n"
        . "<table border=\"0\">\n"
        . "<tr><td>" . _TOPICS_ADMIN_ITEMS_PER_ROW . "</td>\n"
        . "<td>" . vkpHtmlSelectBox('xtopics_items_per_row',
                                    array(1 => 1, 2 => 2, 3 => 3, 4 => 4, 5 => 5),
                                    $config->topics_items_per_row,
                                    true) . "</td></tr>\n"
        . "<tr><td>" . _TOPICS_ADMIN_DISPLAY_SEARCH_BLOCK . "</td>\n"
        . "<td>" . vkpHtmlYesNo('xtopics_display_search_block',
                                $config->topics_display_search_block,
                                1) . "</td></tr>\n"
        . "</table>\n";
    CloseTable();
    echo "<br>";

    // Einstellungen zur Moderation
    //
    OpenTable();
    echo "<div align=\"center\"><span class=\"option\"><b>" . _COMMENTSMOD . "</b></span></div>\n"
        . "<table border=\"0\">\n"
        . "<tr><td>" . _MODTYPE . ":</td>\n"
        . "<td>" . vkpHtmlSelectBox('xmoderate',
                                    array(_MODADMIN => 1,
                                          _MODUSERS => 2,
                                          _NOMOD    => 0),
                                    $config->moderate,
                                    true) . "</td></tr>\n"
        . "</table>";
    CloseTable();
    echo "<br>";

    // Kommentareinstellungen
    //
    OpenTable();
    echo "<div align=\"center\"><span class=\"option\"><b>" . _COMMENTSOPT . "</b></span></div>\n"
        . "<table border=\"0\">\n"
        . "<tr><td>" . _COMMENTSARTICLES . "</td>\n"
        . "<td>" . vkpHtmlYesNo('xarticlecomm',
                                $config->articlecomm,
                                1) . "</td></tr>\n"
        . "<tr><td>" . _COMMENTSARTICLESDEFAULT . "</td>\n"
        . "<td>" . vkpHtmlOnOff('xarticlecomm_default',
                                $config->articlecomm_default,
                                1) . "</td></tr>\n"
        . "<tr><td>" . _COMMENTSPOLLS . "</td>\n"
        . "<td>" . vkpHtmlYesNo('xpollcomm',
                                $config->pollcomm,
                                1) . "</td></tr>\n"
        . "<tr><td>" . _COMMENTSLIMIT . ":</td>\n"
        . "<td><input type=\"text\" name=\"xcommentlimit\" value=\"" . $config->commentlimit . "\" size=\"11\" maxlength=\"10\"></td></tr>\n"
        . "</table>\n";
    CloseTable();
    echo "<br>";

    // Backend-Konfiguration
    //
    OpenTable();
    echo "<div align=\"center\"><span class=\"option\"><b>" . _BACKENDCONF . "</b></span></div>\n"
        . "<table border=\"0\">\n"
        . "<tr><td>" . _BACKENDTITLE . ":</td>\n"
        . "<td><input type=\"text\" name=\"xbackend_title\" value=\"" . $config->backend_title . "\" size=\"40\" maxlength=\"100\"></td></tr>\n"
        . "<tr><td>" . _BACKENDLANG . ":</td>\n"
        . "<td><input type=\"text\" name=\"xbackend_language\" value=\"" . $config->backend_language . "\" size=\"10\" maxlength=\"10\"></td></tr>\n"
        . "<tr><td>" . _ACTULTRAMODE . "</td>\n"
        . "<td>" . vkpHtmlYesNo('xultramode',
                                $config->ultramode,
                                1) . "</td></tr>\n"
        . "</table>";
    CloseTable();
    echo "<br>";

    // Gruppe Anzeige
    //
    OpenTable();
    OpenTable2();
    echo "<b>" . _CONFIG_DISPLAY_OPTIONS . "</b>";
    CloseTable2();
    CloseTable();
    echo "<br>";

    // Graphisches
    //
    OpenTable();
    echo "<div align=\"center\"><span class=\"option\"><b>" . _GRAPHICOPT . "</b></span></div>\n"
        . "<table border=\"0\">\n"
        . "<tr><td>" . _ADMINGRAPHIC . "</td>\n"
        . "<td>" . vkpHtmlYesNo('xadmingraphic',
                                $config->admingraphic,
                                1) . "</td></tr>\n"
        . "<tr><td>" . _DEFAULTTHEME . ":</td>\n"
        . "<td>" . vkpHtmlSelectBox('xDefault_Theme',
                                    vkpThemeGetAll(),
                                    $config->Default_Theme) . "</td></tr>\n"
        . "<tr><td>" . _CONFIG_USER_THEME_CAN_CHANGE . "</td>\n"
        . "<td>" . vkpHtmlYesNo('xuser_theme_can_change',
                                $config->user_theme_can_change,
                                1) . "</td></tr>\n"
        ."</table>\n";
    CloseTable();
    echo "<br>";

    // Werbebanner
    //
    OpenTable();
    echo "<div align=\"center\"><span class=\"option\"><b>"._BANNERSOPT."</b></span></div>\n"
        . "<table border=\"0\">\n"
        . "<tr><td>" . _ACTBANNERS . "</td>\n"
        . "<td>" . vkpHtmlYesNo('xbanners',
                                $config->banners,
                                1) . "</td></tr>\n"
        . "</table>";
    CloseTable();
    echo "<br>";

    // Fuzeilen
    //
    OpenTable();
    echo "<a href=\"manual/admin.footer.html\" target=\"_blank\" "
        . "onClick=\"window.open('manual/admin.footer.html','','width=550,height=400,dependent=yes'); return false;\">"
        . "<img src=\"images/questionmark.gif\" align=\"right\" width=\"15\" height=\"15\" border=\"0\" alt=\"\"></a>"
        . "<div align=\"center\"><span class=\"option\"><b>" . _FOOTERMSG . "</b></span></div>"
        . "<table border=\"0\">\n"
        . "<tr><td valign=\"top\">" . _FOOTERLINE1 . ":</td>\n"
        . "<td>"
        . vkpHtmlTextarea('xfoot1',
                          stripslashes($config->foot1),
                          7,
                          50)
        . "<br>"
        . vkpHtmlYesNo('xfooter_1_visible',
                       $config->footer_1_visible,
                       2)
        . vkpHtmlSpan(_FOOTER_1_VISIBLE, 'content')
        . "</td></tr>\n"
        . "<tr><td valign=\"top\">" . _FOOTERLINE2 . ":</td>\n"
        . "<td>"
        . vkpHtmlTextarea('xfoot2',
                          stripslashes($config->foot2),
                          7,
                          50)
        . "<br>"
        . vkpHtmlYesNo('xfooter_2_visible',
                       $config->footer_2_visible,
                       2)
        . vkpHtmlSpan(_FOOTER_2_VISIBLE, 'content')
        . "</td></tr>\n"
        . "<tr><td valign=\"top\">" . _FOOTERLINE3 . ":</td>\n"
        . "<td>"
        . vkpHtmlTextarea('xfoot3',
                          stripslashes($config->foot3),
                          7,
                          50)
        . "<br>"
        . vkpHtmlYesNo('xfooter_3_visible',
                       $config->footer_3_visible,
                       2)
        . vkpHtmlSpan(_FOOTER_3_VISIBLE, 'content')
        . "</td></tr>\n"
        . "<tr><td valign=\"top\">" . _FOOTERLINE4 . ":</td>\n"
        . "<td>"
        . vkpHtmlTextarea('xfoot4',
                          stripslashes($config->foot4),
                          7,
                          50)
        . "<br>"
        . vkpHtmlYesNo('xfooter_4_visible',
                       $config->footer_4_visible,
                       2)
        . vkpHtmlSpan(_FOOTER_4_VISIBLE, 'content')
        . "</td></tr>\n"
        . "</table>\n";

    CloseTable();
    echo "<br>";

    // Speichern...
    //
    OpenTable();
    echo "<div align=\"center\"><input type=\"submit\" value=\"" . _SAVECHANGES . "\"></div>";
    CloseTable();
    echo "<br>\n"
        . "<input type=\"hidden\" name=\"op\" value=\"ConfigSave\">\n"
        . "</form>\n";
    include ("footer.php");
}

function ConfigSave()
{
    foreach($_POST as $_key => $_var)
    {
        if (substr($_key, 0, 1) != 'x')
            continue;

        $$_key = $_var;
    }

    include ("config.php");

    // tipath mit schlieendem Slash sicherstellen
    //
    if (substr($tipath, strlen($tipath) - 1, 1) != '/')
        $tipath .= '/';

    $xsitename = FixQuotes($xsitename);
    $xnukeurl = FixQuotes($xnukeurl);
    $xjdcache = FixQuotes($xjdcache);
    $xjpsec = FixQuotes($xjpsec);
    $xsite_logo = FixQuotes($xsite_logo);
    $xslogan = FixQuotes($xslogan);
    $xstartdate = FixQuotes($xstartdate);
    $xDefault_Theme = FixQuotes($xDefault_Theme);
    $xfoot1 = FixQuotes($xfoot1);
    $xfoot2 = FixQuotes($xfoot2);
    $xfoot3 = FixQuotes($xfoot3);
    $xfoot4 = FixQuotes($xfoot4);
    $xbackend_title = FixQuotes($xbackend_title);
    $xbackend_language = FixQuotes($xbackend_language);
    $xlanguage = FixQuotes($xlanguage);
    $xlocale = FixQuotes($xlocale);
    $xnotify_email = FixQuotes($xnotify_email);
    $xnotify_subject = FixQuotes($xnotify_subject);
    $xnotify_message = FixQuotes($xnotify_message);
    $xnotify_from = FixQuotes($xnotify_from);
    $xanonymous = FixQuotes($xanonymous);
    $file = fopen("config.php", "w");
    $line = "//////////////////////////////////////////////////////////////////////\n";
    $content = "<?php\n\n";
    $content .= "$line";
    $content .= "// PHP-NUKE VKP: Content Management System\n";
    $content .= "// =======================================\n";
    $content .= "//\n";
    $content .= "// Copyright (c) 2003-" . date('Y') . " by PHP-Nuke VKP-Entwickler\n";
    $content .= "// http://www.phpnuke-vkp.org,\n";
    $content .= "// http://developer.berlios.de/projects/phpnukevkp/\n";
    $content .= "//\n";
    $content .= "// In dieser Datei befinden sich die Konfigurationseinstellungen.\n";
    $content .= "//\n";
    $content .= "// This program is free software. You can redistribute it and/or modify\n";
    $content .= "// it under the terms of the GNU General Public License as published by\n";
    $content .= "// the Free Software Foundation; either version 2 of the License.\n";
    $content .= "$line";
    $content .= "\n";
    $content .= "$line";
    $content .= "// Database & System Config\n";
    $content .= "//\n";
    $content .= "// dbhost:       SQL Database Hostname\n";
    $content .= "// dbuname:      SQL Username\n";
    $content .= "// dbpass:       SQL Password\n";
    $content .= "// dbname:       SQL Database Name\n";
    $content .= "// \$prefix:      Your Database table's prefix\n";
    $content .= "// \$user_prefix: Your Users' Database table's prefix (To share it)\n";
    $content .= "// \$dbtype:      Your Database Server type. Supported servers are:\n";
    $content .= "//               MySQL, mSQL, PostgreSQL, PostgreSQL_local, ODBC,\n";
    $content .= "//               ODBC_Adabas, Interbase, and Sybase.\n";
    $content .= "//               Be sure to write it exactly as above, case SeNsItIvE!\n";
    $content .= "$line";
    $content .= "\n";
    $content .= "\$dbhost = \"$dbhost\";\n";
    $content .= "\$dbuname = \"$dbuname\";\n";
    $content .= "\$dbpass = \"$dbpass\";\n";
    $content .= "\$dbname = \"$dbname\";\n";
    $content .= "\$prefix = \"$prefix\";\n";
    $content .= "\$user_prefix = \"$user_prefix\";\n";
    $content .= "\$dbtype = \"$dbtype\";\n";
    $content .= "\$sql_debug = " . (isset($sql_debug) ? '' . $sql_debug : '0') . ";\n";
    $content .= "\n";
    $content .= "/*********************************************************************/\n";
    $content .= "/* You finished to configure the Database. Now you can change all    */\n";
    $content .= "/* you want in the Administration Section.   To enter just launch    */\n";
    $content .= "/* you web browser pointing to http://yourdomain.com/admin.php       */\n";
    $content .= "/*                                                                   */\n";
    $content .= "/* Remeber to go to Settings section where you can configure your    */\n";
    $content .= "/* new site. In that menu you can change all you need to change.     */\n";
    $content .= "/*                                                                   */\n";
    $content .= "/* Remember to chmod 666 this file in order to let the system write  */\n";
    $content .= "/* to it properly. If you can't change the permissions you can edit  */\n";
    $content .= "/* the rest of this file by hand.                                    */\n";
    $content .= "/*                                                                   */\n";
    $content .= "/* Congratulations! now you have an automated news portal!           */\n";
    $content .= "/* Thanks for choose PHP-Nuke: The Future of the Web                 */\n";
    $content .= "/*********************************************************************/\n";
    $content .= "\n\n";
    $content .= "\n";
    $content .= "$line";
    $content .= "# General Site Configuration\n";
    $content .= "#\n";
    $content .= "# \$sitename:      Your Site Name\n";
    $content .= "# \$nukeurl:       Complete URL for your site (Do not put / at end)\n";
    $content .= "# \$site_logo:     Logo for Printer Friendly Page (It's good to have a Black/White graphic)\n";
    $content .= "# \$slogan:        Your site's slogan\n";
    $content .= "# \$startdate:     Start Date to display in Statistic Page\n";
    $content .= "# \$adminmail:     Site Administrator's Email\n";
    $content .= "# \$anonpost:      Allow Anonymous to Post Comments? (1=Yes 0=No)\n";
    $content .= "# \$Default_Theme: Default Theme for your site (See /themes directory for the complete list, case sensitive!)\n";
    $content .= "# \$foot(x):       Messages for all footer pages (Can include HTML code)\n";
    $content .= "# \$commentlimit:  Maximum number of bytes for each comment\n";
    $content .= "# \$anonymous:     Anonymous users Default Name\n";
    $content .= "# \$minpass:       Minimum character for users passwords\n";
    $content .= "# \$pollcomm:      Activate comments in Polls? (1=Yes 0=No)\n";
    $content .= "# \$articlecomm:   Activate comments in Articles? (1=Yes 0=No)\n";
    $content .= "$line";
    $content .= "\n";
    $content .= "\$sitename = \"$xsitename\";\n";
    $content .= "\$nukeurl = \"$xnukeurl\";\n";
    $content .= "\$site_logo = \"$xsite_logo\";\n";
    $content .= "\$slogan = \"$xslogan\";\n";
    $content .= "\$startdate = \"$xstartdate\";\n";
    $content .= "\$adminmail = \"$xadminmail\";\n";
    $content .= "\$anonpost = $xanonpost;\n";
    $content .= "\$Default_Theme = \"$xDefault_Theme\";\n";
    $content .= "\$foot1 = \"$xfoot1\";\n";
    $content .= "\$foot2 = \"$xfoot2\";\n";
    $content .= "\$foot3 = \"$xfoot3\";\n";
    $content .= "\$foot4 = \"$xfoot4\";\n";
    $content .= "\$footer_1_visible = " . ((isset($footer_1_visible)) ? $footer_1_visible : '1') . ";\n";
    $content .= "\$footer_2_visible = " . ((isset($footer_2_visible)) ? $footer_2_visible : '1') . ";\n";
    $content .= "\$footer_3_visible = " . ((isset($footer_3_visible)) ? $footer_3_visible : '1') . ";\n";
    $content .= "\$footer_4_visible = " . ((isset($footer_4_visible)) ? $footer_4_visible : '1') . ";\n";
    $content .= "\$commentlimit = $xcommentlimit;\n";
    $content .= "\$anonymous = \"$xanonymous\";\n";
    $content .= "\$minpass = $xminpass;\n";
    $content .= "\$pollcomm = $xpollcomm;\n";
    $content .= "\$articlecomm = $xarticlecomm;\n";
    $content .= "\n";
    $content .= "$line";
    $content .= "# General Stories Options\n";
    $content .= "#\n";
    $content .= "# \$top:       How many items in Top Page?\n";
    $content .= "# \$storyhome: How many stories to display in Home Page?\n";
    $content .= "# \$oldnum:    How many stories in Old Articles Box?\n";
    $content .= "# \$ultramode: Activate ultramode plain text file backend syndication? (1=Yes 0=No  Need to chmod 666 ultramode.txt file)\n";
    $content .= "$line";
    $content .= "\n";
    $content .= "\$top = $xtop;\n";
    $content .= "\$storyhome = $xstoryhome;\n";
    $content .= "\$oldnum = $xoldnum;\n";
    $content .= "\$ultramode = $xultramode;\n";
    $content .= "\$jdcache = $xjdcache;\n";
    $content .= "\$jdcachesec = $xjdcachesec;\n";
    $content .= "\n";
    $content .= "$line";
    $content .= "# Banners/Advertising Configuration\n";
    $content .= "#\n";
    $content .= "# \$banners: Activate Banners Ads for your site? (1=Yes 0=No)\n";
    $content .= "$line";
    $content .= "\n";
    $content .= "\$banners = $xbanners;\n";
    $content .= "\n";
    $content .= "$line";
    $content .= "# XML/RDF Backend Configuration\n";
    $content .= "#\n";
    $content .= "# \$backend_title:    Backend title, can be your site's name and slogan\n";
    $content .= "# \$backend_language: Language format of your site\n";
    $content .= "$line";
    $content .= "\n";
    $content .= "\$backend_title = \"$xbackend_title\";\n";
    $content .= "\$backend_language = \"$xbackend_language\";\n";
    $content .= "\n";
    $content .= "$line";
    $content .= "# Site Language Preferences\n";
    $content .= "#\n";
    $content .= "# \$language: Language of your site (You need to have lang-xxxxxx.php file for your selected language in the /language directory of your site)\n";
    $content .= "# \$locale:   Locale configuration to correctly display date with your country format. (See /usr/share/locale)\n";
    $content .= "$line";
    $content .= "\n";
    $content .= "\$language = \"$xlanguage\";\n";
    $content .= "\$locale = \"$xlocale\";\n";
    $content .= "\n";
    $content .= "$line";
    $content .= "# Multilingual Configuration\n";
    $content .= "#\n";
    $content .= "# \$multilingual: Activate multilingual features? (1=Yes 0=No) No means you only want to use interface language switching.\n";
    $content .= "# \$autodetectlang: Activate auto detection of the visitor's browser language to autoswitch to the corresponding language.\n";
    $content .= "# \$useflags: (1=Yes 0=No) If set to Yes , flags will be used for the language switching , if set to No a dropdown box will be displayed\n";
    $content .= "$line";
    $content .= "\n";
    $content .= "\$multilingual = \"$xmultilingual\";\n";
    $content .= "\$useflags = \"$xuseflags\";\n";
    $content .= "\n";
    $content .= "$line";
    $content .= "# Notification of News Submissions\n";
    $content .= "#\n";
    $content .= "# \$notify:         Notify you each time your site receives a news submission? (1=Yes 0=No)\n";
    $content .= "# \$notify_email:   Email, address to send the notification\n";
    $content .= "# \$notify_subject: Email subject\n";
    $content .= "# \$notify_message: Email body, message\n";
    $content .= "# \$notify_from:    account name to appear in From field of the Email\n";
    $content .= "$line";
    $content .= "\n";
    $content .= "\$notify = $xnotify;\n";
    $content .= "\$notify_email = \"$xnotify_email\";\n";
    $content .= "\$notify_subject = \"$xnotify_subject\";\n";
    $content .= "\$notify_message = \"$xnotify_message\";\n";
    $content .= "\$notify_from = \"$xnotify_from\";\n";
    $content .= "\n";
    $content .= "$line";
    $content .= "# Moderation Config (not 100% working)\n";
    $content .= "#\n";
    $content .= "# \$moderate:   Activate moderation system? (1=Yes 0=No)\n";
    $content .= "# \$resons:     List of reasons for the moderation (each reason under quotes and comma separated)\n";
    $content .= "# \$badreasons: Number of bad reasons in the reasons list\n";
    $content .= "$line";
    $content .= "\n";
    $content .= "\$moderate = $xmoderate;\n";
    $content .= "\$reasons = array(\"As Is\",
            \"Offtopic\",
            \"Flamebait\",
            \"Troll\",
            \"Redundant\",
            \"Insighful\",
            \"Interesting\",
            \"Informative\",
            \"Funny\",
            \"Overrated\",
            \"Underrated\");\n";
    $content .= "\$badreasons = 4;\n";
    $content .= "\n";
    $content .= "$line";
    $content .= "# Some Graphics Options\n";
    $content .= "#\n";
    $content .= "# \$admingraphic: Activate graphic menu for Administration Menu? (1=Yes 0=No)\n";
    $content .= "$line";
    $content .= "\n";
    $content .= "\$admingraphic = $xadmingraphic;\n";
    $content .= "\n";
    $content .= "$line";
    $content .= "# HTTP Referers Options\n";
    $content .= "#\n";
    $content .= "# \$httpref:    Activate HTTP referer logs to know who is linking to our site? (1=Yes 0=No)";
    $content .= "# \$httprefmax: Maximum number of HTTP referers to store in the Database (Try to not set this to a high number, 500 ~ 1000 is Ok)\n";
    $content .= "$line";
    $content .= "\n";
    $content .= "\$httpref = $xhttpref;\n";
    $content .= "\$httprefmax = $xhttprefmax;\n";
    $content .= "\n";
    $content .= "$line";
    $content .= "# Allowable HTML tags\n";
    $content .= "#\n";
    $content .= "# \$AllowableHTML: HTML command to allow in the comments\n";
    $content .= "#                  =>2 means accept all qualifiers: <foo bar>\n";
    $content .= "#                  =>1 means accept the tag only: <foo>\n";
    $content .= "$line";
    $content .= "\n";
    $content .= "\$AllowableHTML = array(\"b\"=>1,
            \"i\"=>1,
            \"a\"=>2,
            \"em\"=>1,
            \"br\"=>1,
            \"strong\"=>1,
            \"blockquote\"=>1,
                    \"tt\"=>1,
                    \"li\"=>1,
                    \"ol\"=>1,
                    \"ul\"=>1);\n";
    $content .= "\n";
    $content .= "$line";
    $content .= "# Filters Options\n";
    $content .= "#\n";
    $content .= "# \$CensorList:    List of bad word to be replaced on Comments\n";
    $content .= "# \$CensorMode:    0 = No Filtering (leave the bad words)\n";
    $content .= "#          1 = Exact Match\n";
    $content .= "#          2 = Match Word at the Begining\n";
    $content .= "#          3 = Match String Anywhere in the Text\n";
    $content .= "# \$CensorReplace: String to replace bad words\n";
    $content .= "$line";
    $content .= "\n";
    $content .= "\$CensorList = array('fuck',\n";
    $content .= "                    'cunt',\n";
    $content .= "                    'fucker',\n";
    $content .= "                    'fucking',\n";
    $content .= "                    'pussy',\n";
    $content .= "                    'cock',\n";
    $content .= "                    'c0ck',\n";
    $content .= "                    'cum',\n";
    $content .= "                    'twat',\n";
    $content .= "                    'clit',\n";
    $content .= "                    'bitch',\n";
    $content .= "                    'fuk',\n";
    $content .= "                    'fuking',\n";
    $content .= "                    'motherfucker');\n";
    $content .= "\$CensorMode = 1;\n";
    $content .= "\$CensorReplace = \"*****\";\n";
    $content .= "\n";
    $content .= "$line";
    $content .= "// Die folgenden Optionen sind neu:\n";
    $content .= "//\n";
//    $content .= "// wysiwyg_editor            0|1 HTMLarea verwenden\n";
    $content .= "// articlecomm_default          0|1 Vorgabewert fr Artikelkommentarfreigabe\n";
    $content .= "// admin_cookie_default         0|1 Nutzung von Cookies empfehlen\n";
    $content .= "// admin_cookie_required        0|1 Cookies erzwingen\n";
    $content .= "// admin_cookie_lifetime        (int) Lebensdauer des Cookies (Sekunden)\n";
    $content .= "// user_cookie_default          0|1 Nutzung von Cookies empfehlen\n";
    $content .= "// user_cookie_required         0|1 Cookies erzwingen\n";
    $content .= "// user_cookie_lifetime         (int) Lebensdauer des Cookies (Sekunden)\n";
    $content .= "// user_theme_can_change        0|1 Darf der Benutzer das Theme whlen\n";
    $content .= "// topics_display_search_block  0|1 Suchmaske bei den Topics zeigen\n";
    $content .= "// topics_items_per_row         1..5 Elemente je Zeile bei den Topics\n";
    $content .= "$line";
    $content .= "\n";
//    $content .= "\$wysiwyg_editor            = $xwysiwyg_editor;\n";
    $content .= "\$admin_cookie_default         = $xadmin_cookie_default;\n";
    $content .= "\$admin_cookie_required        = $xadmin_cookie_required;\n";
    $content .= "\$admin_cookie_lifetime        = $xadmin_cookie_lifetime;\n";
    $content .= "\$articlecomm_default          = $xarticlecomm_default;\n";
    $content .= "\$user_cookie_default          = $xuser_cookie_default;\n";
    $content .= "\$user_cookie_required         = $xuser_cookie_required;\n";
    $content .= "\$user_cookie_lifetime         = $xuser_cookie_lifetime;\n";
    $content .= "\$user_theme_can_change        = $xuser_theme_can_change;\n";
    $content .= "\$topics_display_search_block  = $xtopics_display_search_block;\n";
    $content .= "\$topics_items_per_row         = $xtopics_items_per_row;\n";
    $content .= "\n";
    $content .= "$line";
    $content .= "// Die nachstehenden Einstellungen drfen nicht verndert werden!\n";
    $content .= "$line";
    $content .= "\n";
    $content .= "\$tipath = \"$tipath\";\n";
    $content .= "\$Version_Num = \"" . VKP_VERSION . "\";\n\n";
    $content .= "\n";
    $content .= "if (eregi(\"config.php\",\$_SERVER['PHP_SELF']))\n";
    $content .= "{\n";
    $content .= "    Header(\"Location: index.php\");\n";
    $content .= "    die();\n";
    $content .= "}\n";
    $content .= "\n";
    $content .= "?>";
    fwrite($file, $content);
    fclose($file);
    Header("Location: admin.php?op=adminMain");
}


switch($op)
{
    case "Configure":
        Configure();
        break;

    case "ConfigSave":
        ConfigSave();
        break;
}


// $Log: settings.php,v $
// Revision 1.15.2.3  2004/01/17 22:33:25  hdonner
// - $tipath muss einen Trailer haben
//
// Revision 1.15.2.2  2004/01/10 13:29:28  hdonner
// - Fix: Noch kein WYSIWYG-Editor
//
// Revision 1.15.2.1  2004/01/10 12:03:50  hdonner
// - Version fest verdrahtet
//
// Revision 1.15  2003/12/31 17:03:38  hdonner
// - $user_cookie_lifetime
//
// Revision 1.14  2003/12/25 14:15:04  hdonner
// - JEde Fusszeile schaltbar
//
// Revision 1.13  2003/12/15 23:26:30  hdonner
// - Weitere Konfiguration
//
// Revision 1.12  2003/12/13 13:16:57  hdonner
// - Default-Wert fr die Artikelkommentierung
//
// Revision 1.11  2003/12/10 21:34:51  hdonner
// - Topics: Anzahl der Elemente je Zeile
// - Topics: Suchblock abschaltbar
//
// Revision 1.10  2003/12/01 17:11:07  hdonner
// - Admin!Einstellungen neu gegliedert
// - Einfache Html-Tools begonnen
//
// Revision 1.9  2003/11/26 20:08:02  hdonner
// - Banners als normalen Menuepunkt eingebaut
// - Cookieverwaltung eingebaut
//
// Revision 1.8  2003/11/23 14:42:03  hdonner
// - Zugriffsrechte umgestellt
//
// Revision 1.7  2003/11/23 11:53:25  hdonner
// - Information zum Datenbankserver in der Einstellungs|bersicht
//
// Revision 1.6  2003/11/23 10:06:44  hdonner
// - Kleine Anpassungen bei der Parameter|bergabe
// - Sprachkonstanten sortiert
//
//
?>
