<?php
// ----------------------------------------------------------------------
// File: $Id: header.php,v 1.4 2003/12/13 13:15:33 hdonner Exp $
// ----------------------------------------------------------------------
// PHP-Nuke-VKP
// Copyright 2001-2004 by PHP-Nuke-VKP-Team
// http://developer.berlios.de/projects/phpnukevkp/
// ----------------------------------------------------------------------
// LICENSE
//
// Dieses Programm ist freie Software; Sie knnen sie beliebig verteilen
// und/oder nderungen vornehmen, solange Sie dieses unter den
// Lizenzbedingungen der Version 2 oder hher der GNU General Public
// License (GPL), verffentlicht von der Free Software Foundation tun.
//
// Dieses Programm wurde in der Hoffnung erstellt, dass es fr Sie
// ntzlich sein knnte. Es wird jedoch ohne jeden Anspruch auf
// Gewhrleistung verffentlicht. Sie knnen auch nicht davon ausgehen,
// dass das Programm Dinge verrichtet, wie es erwartet wird.
//
// Lesen Sie die Lizenzbedinguneg unter der URL
// http://www.gnu.org/copyleft/gpl.html fr weitere Details.
// ----------------------------------------------------------------------

/**
 * header.php
 *
 * Diese Datei dient der Ausgabe des Seitenkopfes.
 *
 * @author Hinrich Donner
 * @version 0.1
 * @since 5.5.1
 * @package PHP-Nuke-VKP
 * @subpackage API
 * @category Themes
 * @link http://developer.berlios.de/projects/phpnukevkp/
 */

/**
 * Zugang prfen
 *
 * @ignore
 */
if (substr($_SERVER['SCRIPT_NAME'], strlen($_SERVER['SCRIPT_NAME']) - 9) == 'header.php')
    vkpLocation();

/**
 * header
 *
 * Dieser Wert wird auf 1 gesetzt, sobald diese Datei geladen wurde.
 *
 * @var int
 * @deprecated
 */
$GLOBALS['header'] = 1;

/**
 * head
 *
 * Diese Funktion beginnt mit der Ausgabe der Inhalte. Es wird alles bis zum
 * Inhaltsbereich ausgegeben, also Kopf, linke und top-center Blcke.
 *
 * @see foot()
 * @author Hinrich Donner
 * @author F. Bruzi
 * @version 0.1
 * @since 5.5.1
 */
function head()
{
    // Wir brauchen die Konfiguration
    //
    $config =& vkpConfig::GetInstance();

    // Statistik bedienen
    //
    if (file_exists(VKP_INCLUDE_DIR . '/counter.php'))
        include VKP_INCLUDE_DIR . '/counter.php';

    // Theme laden
    //
    vkpThemeInclude();

    // Globale Variablen
    //
    global $pagetitle;

    echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\"\n"
        . "        \"http://www.w3.org/TR/html4/loose.dtd\">\n\n"
        . "<html>\n"
        . "<head>\n"
        . "<meta http-equiv=\"content-type\" content=\"text/html; charset=" . _CHARSET . "\">\n"
        . '<title>' . $config->sitename . " $pagetitle</title>\n";

    // Weitere Meta-Header
    //
    include VKP_INCLUDE_DIR . '/meta.php';

    // Style Sheet
    //
    echo "<link rel=\"StyleSheet\" href=\"themes/" . vkpThemeGetCurrent() . "/style/style.css\" type=\"text/css\">\n";

    // JavaScript
    //
    include VKP_INCLUDE_DIR . '/javascript.php';

    // Weitere Header
    //
    include VKP_INCLUDE_DIR . '/my_header.php';

    // Header schlieen
    //
    echo "\n\n</head>\n";

    // Theme starten
    //
    themeheader();
}

/**
 * Start der Ausgabe
 *
 * @ignore
 */
head();
global $home;
if (isset($home) && ($home == 1))
{
    message_box();
    blocks('center');
}
online();

// $Log: header.php,v $
// Revision 1.4  2003/12/13 13:15:33  hdonner
// - JavaScrip Calendar
//
// Revision 1.3  2003/12/08 16:41:43  hdonner
// - Themes-Backcore angepasst
//
//
?>
