<?php
// ----------------------------------------------------------------------
// File: $Id: languages.php,v 1.1 2004/01/02 20:39:37 hdonner Exp $
// ----------------------------------------------------------------------
// PHP-Nuke-VKP
// Copyright 2001-2004 by PHP-Nuke-VKP-Team
// http://developer.berlios.de/projects/phpnukevkp/
// ----------------------------------------------------------------------
// LICENSE
//
// Dieses Programm ist freie Software; Sie knnen sie beliebig verteilen
// und/oder nderungen vornehmen, solange Sie dieses unter den
// Lizenzbedingungen der Version 2 oder hher der GNU General Public
// License (GPL), verffentlicht von der Free Software Foundation tun.
//
// Dieses Programm wurde in der Hoffnung erstellt, dass es fr Sie
// ntzlich sein knnte. Es wird jedoch ohne jeden Anspruch auf
// Gewhrleistung verffentlicht. Sie knnen auch nicht davon ausgehen,
// dass das Programm Dinge verrichtet, wie es erwartet wird.
//
// Lesen Sie die Lizenzbedinguneg unter der URL
// http://www.gnu.org/copyleft/gpl.html fr weitere Details.
// ----------------------------------------------------------------------

/**
 * languages.php
 *
 * Diese Datei enthlt die Funktionen fr die Mehrsprachigkeit.
 *
 * @author Hinrich Donner
 * @version 0.1
 * @since 5.5.1
 * @package PHP-Nuke-VKP
 * @subpackage API
 * @category Sprachen
 * @link http://developer.berlios.de/projects/phpnukevkp/
 */

/**
 * Bentigte Dateien einbinden 
 *
 * @since @ignore
 */
require_once VKP_INCLUDE_DIR . '/classes/vkplanguages.php';

/**
 * _vkpLanguageInit
 *
 * Diese Funktion dient der Initialisierung.  Sie wird von Entwicklern
 * nicht bentigt.
 *
 * @author Hinrich Donner
 * @since 5.5.1
 * @version 0.1
 */
function _vkpLanguageInit()
{
    $languages          =& vkpLanguages::GetInstance();
    $newlang            = vkpVarCleanFromInput('newlang');
    if (!empty($newlang))
    {
        if ($languages->Exists($newlang))
        {
            // Cookie wird nur bentigt, wenn es nicht die Default-Sprache ist.
            //
            if ($newlang != $config->language)
                vkpCookieSet('lang',
                             $newlang,
                             31536000);
            elseif (vkpCookieExists('lang'))
                vkpCookieDelete('lang');
        
            // Sprache der Klasse mitteilen
            //
            $languages->current = $newlang;
            $languages->Load();        
        }
        else
        {
            if (vkpCookieExists('lang'))
                vkpCookieDelete('lang');

            $languages->Load();        
        }
    }
    elseif (vkpCookieExists('lang') && $languages->Exists(vkpCookieGet('lang')))
    {
        $languages->current = vkpCookieGet('lang');
        $languages->Load();
    }
    else
        $languages->Load();

    // Eventuell vorhandenes Cookie entfernen
    //
    if (vkpCookieExists('lang') && !$languages->Exists(vkpCookieGet('lang')))
        vkpCookieDelete('lang');

    // PHP-Nuke-Kompatibilitt
    //
    $GLOBALS['currentlang'] = $languages->current;
}

// $Log: languages.php,v $
// Revision 1.1  2004/01/02 20:39:37  hdonner
// - Sprachsteuerung ueberarbeitet
//
//
?>
