<?php
// ----------------------------------------------------------------------
// File: $Id: modules.php,v 1.2.2.1 2004/01/11 18:34:16 hdonner Exp $
// ----------------------------------------------------------------------
// PHP-Nuke-VKP
// Copyright 2001-2004 by PHP-Nuke-VKP-Team
// http://developer.berlios.de/projects/phpnukevkp/
// ----------------------------------------------------------------------
// LICENSE
//
// Dieses Programm ist freie Software; Sie knnen sie beliebig verteilen
// und/oder nderungen vornehmen, solange Sie dieses unter den
// Lizenzbedingungen der Version 2 oder hher der GNU General Public
// License (GPL), verffentlicht von der Free Software Foundation tun.
//
// Dieses Programm wurde in der Hoffnung erstellt, dass es fr Sie
// ntzlich sein knnte. Es wird jedoch ohne jeden Anspruch auf
// Gewhrleistung verffentlicht. Sie knnen auch nicht davon ausgehen,
// dass das Programm Dinge verrichtet, wie es erwartet wird.
//
// Lesen Sie die Lizenzbedinguneg unter der URL
// http://www.gnu.org/copyleft/gpl.html fr weitere Details.
// ----------------------------------------------------------------------

/**
 * modules.php
 *
 * Diese Datei enthlt den Modullader.
 *
 * @author Hinrich Donner
 * @author F. Bruzi
 * @version 0.1
 * @since 5.5.1
 * @package PHP-Nuke-VKP
 * @subpackage System
 * @category Boot
 * @link http://developer.berlios.de/projects/phpnukevkp/
 */

require_once 'mainfile.php';

/**
 * vkpModulLoaderNoFile
 *
 * Diese Funktion gibt den Fehler aus, dass die Datei nicht gefunden wurde.
 *
 * @author Hinrich Donner
 * @version 0.1
 * @since 5.5.1
 */
function vkpModulLoaderNoFile()
{
    require_once VKP_INCLUDE_DIR . '/vkphtml.php';

    global $index, $pagetitle;

    $index      = 1;
    $pagetitle  .= '- ' . _MODULE_LOADER_NO_FILE_TITLE;

    include 'header.php';
    title(_MODULE_LOADER_ERROR);

    OpenTable();
    echo vkpHtmlSpan(_MODULE_LOADER_INTRO
                     . vkpHtmlLf(2)
                     . _MODULE_LOADER_NO_FILE);
    CloseTable();
    include 'footer.php';
    exit;
}

/**
 * vkpModulLoaderNoAccess
 *
 * Diese Funktion gibt die Fehlermeldung bei einem unerlaubten Zugriff aus.
 *
 * @author Hinrich Donner
 * @version 0.1
 * @since 5.5.1
 */
function vkpModulLoaderNoAccess()
{
    require_once VKP_INCLUDE_DIR . '/vkphtml.php';

    global $index, $pagetitle;

    $index      = 1;
    $pagetitle  .= '- ' . _MODULE_LOADER_NO_ACCESS_TITLE;

    include 'header.php';
    title(_MODULE_LOADER_ERROR);

    OpenTable();
    echo vkpHtmlSpan(_MODULE_LOADER_INTRO
                     . vkpHtmlLf(2)
                     . _MODULE_LOADER_NO_ACCESS);
    CloseTable();
    include 'footer.php';
    exit;
}

// Eigene Variablen initialisieren
//
$author     =& vkpAdmin::GetInstance();
$modules    =& vkpModules::GetInstance();
list($name,
     $file,
     $mop)  = vkpVarCleanFromInput('name',
                                   'file',
                                   'mop');

// Wenn die Datei ohne Modulnamen aufgerufen wurde, dann verzweigen wir auf das
// Default-Modul
//
if (empty($name))
{
    $main_module =& $modules->GetMain();
    $name = $main_module->title;
}

// Den Dateinamen initialisieren, falls keiner bergeben wurde.
//
if (empty($file))
    $file = 'index';

// Vollstndigen Pfadnamen bauen
//
$filename = $modules->$name->GetFilename($file);

// Modul operation initialisieren
//
if (empty($mop))
    $mop = 'modload';

// Fehlende oder nicht aktive Module (wenn nicht Administrator) fhren zu einer
// "Datei-Nicht-Gefunden"-Fehlermeldung.
//
if (!isset($modules->$name)
            || (!($author->logged_in) && !($modules->$name->active))
            || !file_exists($filename))
    vkpModulLoaderNoFile();

// Zugangsberechtigung des Benutzers prfen
//
if (!($author->LoggedIn()
            || (vkpUserLoggedIn() && $modules->$name->active && ($modules->$name->view < 2))
            || (!vkpUserLoggedIn() && $modules->$name->active && ($modules->$name->view == 0))))
    vkpModuleLoaderNoAccess();

// Noch einige globale Variablen simulieren
//
$config =& vkpConfig::GetInstance();
extract($config->VarGetAll());
$PHP_SELF = 'modules.php';

// Und das Modul laufen lassen
//
include $filename;

// $Log: modules.php,v $
// Revision 1.2.2.1  2004/01/11 18:34:16  hdonner
// - Fehler bei der Extension der Dateinamen
//
// Revision 1.2  2003/12/17 17:36:42  hdonner
// - Anpassung auf die Klassen
//
//
?>
